use std::sync::{Arc, Mutex};

use psdk_father::{device::FakeConnectedDevice, types::psdk_types::Lifecycle};

pub fn lifecycle() -> Lifecycle {
  Lifecycle {
    connected_device: Arc::new(Mutex::new(FakeConnectedDevice::new())),
    enable_auto_newline: true,
  }
}
